%global product_line 2.1

%global version %{product_line}.2
%global release 9%{?dist}

%global manualdir %{_docdir}/%{name}/manual
%global locale en-US
%global beta 0
%if 0%{?beta}
%define depsuffix -Beta
%endif

Name:           rhsc-doc
Version:        %{version}
Release:        %{release}
Summary:        Red Hat Storage Console documentation
Group:          Documentation
License:        CC-BY-SA
URL:            http://docs.redhat.com
Source:         %{name}-%{version}.tar.gz
Source1:        DocumentationPath.csv
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  publican-common-web
BuildRequires:  Red_Hat_Storage-Console_Administration_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:  Red_Hat_Storage-Console_Installation_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:  Red_Hat_Storage-Console_Command_Line_Shell_Guide-%{product_line}%{?depsuffix}-web-%{locale}
BuildRequires:  Red_Hat_Storage-Console_Developer_Guide-%{product_line}%{?depsuffix}-web-%{locale}

%description
This package contains the Red Hat Storage Console documentation in
html and pdf format.

%prep
%setup -q -c .

%build

%install
rm -rf "%{buildroot}"

mkdir -p "%{buildroot}%{manualdir}/%{locale}"
cp -r RedHat common "%{buildroot}%{manualdir}"
cp %{SOURCE1} "%{buildroot}%{manualdir}"
cp -r /var/www/html/docs/%{locale}/Red_Hat_Storage/*/html "%{buildroot}%{manualdir}/%{locale}"
cp -r /var/www/html/docs/%{locale}/Red_Hat_Storage/*/pdf "%{buildroot}%{manualdir}/%{locale}"

# PDF files contain the version in their filename. We don't want to include the
# -Beta, because that will break the splash page.
%if 0%{?beta}
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
    if echo "${f}" | grep -q Beta; then
        mv "${f}" "$(echo "${f}" | sed 's/%{depsuffix}//')"
    fi
done
%endif

find "%{buildroot}%{manualdir}" -name '*.html' | while read f; do
    sed -i -e :a -e 's#<script type="text/javascript".*</script>##g;/</N;//ba;' "${f}"
    sed -i -e :a -e 's#<div id="tocdiv" class="toc"><iframe.*</iframe></div>##g;/</N;//ba;' "${f}"
    sed -i -e 's#\.\./\.\./\(\.\./\.\./\.\./\)#\1#g' "${f}"
done

install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhsc-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

%files
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhsc-doc.conf
%{manualdir}/

%changelog
* Mon Feb 14 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.2-9
- updated DocumentationPath.csv to include stop_rebalance link

* Mon Jan 27 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.2-8
- updated DocumentationPath.csv

* Mon Dec 30 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-7
- updated DocumentationPath.csv

* Thu Dec 26 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-6
- updated DocumentationPath.csv

* Thu Dec 19 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-5
- added dependency Red_Hat_Storage-Console_Developer_Guide

* Wed Dec 11 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-4
- added dependencies Red_Hat_Storage-Console_Installation_Guide and
  Red_Hat_Storage-Console_Command_Line_Shell_Guide

* Fri Nov 15 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-3
- updated DocumentationPath.csv

* Sat Nov 09 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-2
- fix install error

* Sat Nov 09 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-1
- initial build
